This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 726989 - Review Request: ipwatchd - IP conflict detection tool
Review Request: ipwatchd - IP conflict detection tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-31 15:59 EDT by Jaroslav Imrich
Modified: 2013-11-10 06:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 06:50:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Imrich 2011-07-31 15:59:06 EDT
Spec URL: http://fedora.jimrich.sk/ipwatchd.spec
SRPM URL: http://fedora.jimrich.sk/ipwatchd-1.2.1-1.fc15.src.rpm

Description:

I would appreciate a review of ipwatchd package so it can be included in Fedora repositories. Package is rpmlint error free and it also builds in FC15 mock environment. I am the upstream author and I maintain this package also in Debian and Ubuntu.

IPwatchD is a simple daemon that analyses all incoming ARP packets in order 
to detect IP conflicts on Linux. It can be configured to listen on one or 
more interfaces (alias interfaces are also supported) in active or passive 
mode. In active mode IPwatchD protects your host before IP takeover by 
answering Gratuitous ARP requests received from conflicting system. 
In passive mode it just records information about conflict through standard 
syslog interface.
Comment 1 Itamar Reis Peixoto 2011-08-20 21:16:09 EDT
can you post the link of a koji scratch build here ?
Comment 3 Steve Jenkins 2011-08-21 11:20:30 EDT
I'm also seeking a sponsor so I can't do an "official" review yet, but I'll give a little feedback.

Passes rpmlint cleanly, and builds on my system. You may want to consider using the %{name} macro throughout the spec file, such as:

%config(noreplace) /etc/%{name}.conf

/bin/systemctl enable %{name}.service >/dev/null 2>&1 || :

etc.

I also ran it through Koji, here's the output for a dist-f15 target scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=3290059
Comment 4 Jaroslav Imrich 2011-08-22 15:34:32 EDT
Thanks for the comments and for the suggestion with macros in URL I'll consider using it in future revisions of package.
Comment 6 Fabian Affolter 2012-06-19 11:27:18 EDT
Just two quick comments:

- defattr is no longer needed, this is the default now
- Use macros in the %files section
Comment 7 Fabian Affolter 2012-11-10 05:00:11 EST
Any progress?
Comment 8 Jaroslav Imrich 2012-11-10 07:39:14 EST
Well the package was ready and in a good shape in times of f15. As you can see I've received few suggestions here on how to do some things differently, but different people like different ways of doing things. If I use macros in %files section or not, the result is still the same so I believe there is no need to update my original package. No other problems were pointed out in this review request.

After creating this bug report I've sent self introduction and review request to fedora-devel mailing list. No one really cared to review the package. I've also begged people on IRC for review/sponsorship - without any luck. After few weeks of waiting I've even directly contacted two or three fedora prospective sponsors from my country and Czech republic. No one really showed any interest to review the package. I've begged on IRC once more with the same results.

Now I can say I've really lost any interest to join fedora packagers because people here seem not to have time/interest/will to even review packages that contain no errors and I really have better things to do than beg people for a few minutes of their precious time.
Comment 9 Till Maas 2013-01-22 13:15:42 EST
(In reply to comment #8)

> Now I can say I've really lost any interest to join fedora packagers because
> people here seem not to have time/interest/will to even review packages that
> contain no errors and I really have better things to do than beg people for
> a few minutes of their precious time.

I am sorry nobody had the time to work on this ticket. As you can see, there are currently about 400 bugs for new packages in the pipeline, therefore some reviews might take a long time:
http://fedoraproject.org/PackageReviewStatus/NEW.html

I hope you change your mind one day and try again.
Comment 10 Jaroslav Imrich 2013-10-09 09:25:15 EDT
Package was updated on FC19 and should be ready for review.

Spec URL: http://fedora.jimrich.sk/ipwatchd.spec
SRPM URL: http://fedora.jimrich.sk/ipwatchd-1.2.1-2.fc19.src.rpm
Comment 11 Miroslav Suchý 2013-10-09 09:29:06 EDT
Taking.
Comment 12 Christopher Meng 2013-10-09 09:34:09 EDT
No %{optflags} during build.

------------

PUT

%post
%systemd_post ipwatchd.service

%preun
%systemd_preun ipwatchd.service

%postun
%systemd_postun_with_restart ipwatchd.service

AFTER

%install


------------

DO NOT MARK MANPAGES AS %doc.
Comment 13 Miroslav Suchý 2013-10-09 10:17:00 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2)", "Unknown or generated". 1 files have unknown license.
     Detailed output of licensecheck in
     /home/msuchy/726989-ipwatchd/licensecheck.txt
[!]: %build honors applicable compiler flags or justifies otherwise.
     missing optflags
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
     Maintainer is upstream as well.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
     In Makefile is pure cp without -a, but this is not blocker
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Please add that LICENSE file and fix issues from #12.
Comment 14 Jaroslav Imrich 2013-10-09 10:24:34 EDT
Thank you for comments. I have prepared new revision that fixes mentioned problems:

Spec URL: http://fedora.jimrich.sk/ipwatchd.spec
SRPM URL: http://fedora.jimrich.sk/ipwatchd-1.2.1-3.fc19.src.rpm
Comment 15 Miroslav Suchý 2013-10-09 10:27:00 EDT
APPROVED
Comment 16 Jaroslav Imrich 2013-10-09 10:38:16 EDT
New Package SCM Request
=======================
Package Name: ipwatchd
Short Description: IP conflict detection tool
Owners: jariq
Branches: f19, f20, el6
InitialCC:
Comment 17 Jon Ciesla 2013-10-10 15:26:12 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-10-12 17:04:42 EDT
ipwatchd-1.2.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ipwatchd-1.2.1-3.fc20
Comment 19 Fedora Update System 2013-10-12 17:20:56 EDT
ipwatchd-1.2.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ipwatchd-1.2.1-3.fc19
Comment 20 Jaroslav Imrich 2013-10-16 12:03:04 EDT
Package Change Request
======================
Package Name: ipwatchd
New Branches: el5
Owners: jariq
Comment 21 Jon Ciesla 2013-10-16 12:14:48 EDT
Git done (by process-git-requests).
Comment 22 Fedora Update System 2013-10-16 17:44:30 EDT
ipwatchd-1.2.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipwatchd-1.2.1-3.el6
Comment 23 Fedora Update System 2013-10-16 17:45:44 EDT
ipwatchd-1.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ipwatchd-1.2.1-3.el5
Comment 24 Fedora Update System 2013-10-22 23:29:30 EDT
ipwatchd-1.2.1-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 25 Fedora Update System 2013-11-01 17:06:34 EDT
ipwatchd-1.2.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 26 Fedora Update System 2013-11-01 17:08:20 EDT
ipwatchd-1.2.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 27 Fedora Update System 2013-11-10 01:06:59 EST
ipwatchd-1.2.1-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.